* Runs mortality for each background characteristic.

* Runs mortality for each background characteristic.

*Male.
Define subgroup ()
  '(Male)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A.
if (CM5 = 1) ceb = ceb + CM6A.
if (CM7 = 1) ceb = ceb + CM8A.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8A.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 1.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute sex = 1.

aggregate outfile = 'tmpresult.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).


*----------------------------------------------------------------.
*Female.
Define subgroup ()
  '(Female)'
!enddefine.

get file='WM.sav'.
select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4B.
if (CM5 = 1) ceb = ceb + CM6B.
if (CM7 = 1) ceb = ceb + CM8B.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8B.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 2.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute sex = 2.

aggregate outfile = 'tmp.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 1.
Define subgroup ()
  '(Region 1)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute HH7 = 1.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Region 2.
Define subgroup ()
  '(Region 2)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute HH7 = 2.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Region 3.
Define subgroup ()
  '(Region 3)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute HH7 = 3.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 4.
Define subgroup ()
  '(Region 4)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute HH7 = 4.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 5.
Define subgroup ()
  '(Region 5)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute HH7 = 5.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Urban.
Define subgroup ()
  '(Urban)'
!enddefine.


get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute hh6 = 1.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Rural.
Define subgroup ()
  '(Rural)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute hh6 = 2.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*** For Tajikistan category "None" was collapsed with "Primary" due to the small number of observations.

*Mother's education.

*Define subgroup ()
*  '(No education)'
*!enddefine.


*get file='WM.sav'.

*select if (WM7 = 1).

*compute filter_$ =  (melevel = 1).
*FILTER BY filter_$.
*weight by wmweight.

** Set sex  1 = male, 2 = female, 3 = total.
*compute qfivesex = 3.

** Execute the bulk of the qfive process.
*include file = 'qfive setup.sps'.

** Calculate mean of 25-29 and 30-34 group from the East model.
*select if(wage  = 3  or  wage  = 4).
*compute melevel = 1.

*aggregate outfile = 'tmp.sav'
*  /break melevel
*  /imr = mean(imrea)
*  /u5mr = mean(u5mrea).

*get file 'tmpresult.sav'.
*add files
*  /file = *
*  /file = 'tmp.sav'.
*save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*** For Tajikistan category "None" was collapsed with "Primary" due to the small number of observations***.

*Mother's education .
Define subgroup ()
  '(None/Primary)'
!enddefine.


get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 1 or melevel = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute melevel = 2.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Mother's education.
Define subgroup ()
  '(Incomplete Secondary)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute melevel = 3.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Mother's education.
Define subgroup ()
  '(Complete Secondary)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute melevel = 4.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education.
Define subgroup ()
  '(Secondary special)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute melevel = 5.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education.
Define subgroup ()
  '(Higher education)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 6).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute melevel = 6.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Wealth index quintiles.
********* For Tajikistan: Collapsing wealth quintiles to two categories: Poorest 60% and richest 40%*************.


*Define subgroup ()
*  '(Poorest)'
*!enddefine.

*get file='WM.sav'.

*select if (WM7 = 1).

*compute filter_$ =  (Wlthind5 = 1).
*FILTER BY filter_$.
*weight by wmweight.

** Set sex  1 = male, 2 = female, 3 = total.
*compute qfivesex = 3.

** Execute the bulk of the qfive process.
*include file = 'qfive setup.sps'.

** Calculate mean of 25-29 and 30-34 group from the East model.
*select if(wage  = 3  or  wage  = 4).
*compute Wlthind5 = 1.

*aggregate outfile = 'tmp.sav'
*  /break Wlthind5
*  /imr = mean(imrea)
*  /u5mr = mean(u5mrea).

*get file 'tmpresult.sav'.
*add files
*  /file = *
*  /file = 'tmp.sav'.
*save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
**Wealth index quintiles..
*Define subgroup ()
*  '(Second)'
*!enddefine.

*get file='WM.sav'.

*select if (WM7 = 1).

*compute filter_$ =  (Wlthind5 = 2).
*FILTER BY filter_$.
*weight by wmweight.

** Set sex  1 = male, 2 = female, 3 = total.
*compute qfivesex = 3.

** Execute the bulk of the qfive process.
*include file = 'qfive setup.sps'.

** Calculate mean of 25-29 and 30-34 group from the East model.
*select if(wage  = 3  or  wage  = 4).
*compute Wlthind5 = 2.

*aggregate outfile = 'tmp.sav'
*  /break Wlthind5
*  /imr = mean(imrea)
*  /u5mr = mean(u5mrea).

*get file 'tmpresult.sav'.
*add files
*  /file = *
*  /file = 'tmp.sav'.
*save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Wealth index quintiles.
*Define subgroup ()
*  '(Middle)'
*!enddefine.

*get file='WM.sav'.

*select if (WM7 = 1).

*compute filter_$ =  (Wlthind5 = 3).
*FILTER BY filter_$.
*weight by wmweight.

** Set sex  1 = male, 2 = female, 3 = total.
*compute qfivesex = 3.

** Execute the bulk of the qfive process.
*include file = 'qfive setup.sps'.

** Calculate mean of 25-29 and 30-34 group from the East model.
*select if(wage  = 3  or  wage  = 4).
*compute Wlthind5 = 3.

*aggregate outfile = 'tmp.sav'
*  /break Wlthind5
*  /imr = mean(imrea)
*  /u5mr = mean(u5mrea).

*get file 'tmpresult.sav'.
*add files
*  /file = *
*  /file = 'tmp.sav'.
*save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
**Wealth index quintiles.
*Define subgroup ()
*  '(Fourth)'
*!enddefine.


*get file='WM.sav'.

*select if (WM7 = 1).

*compute filter_$ =  (Wlthind5 = 4).
*FILTER BY filter_$.
*weight by wmweight.

** Set sex  1 = male, 2 = female, 3 = total.
*compute qfivesex = 3.

** Execute the bulk of the qfive process.
*include file = 'qfive setup.sps'.

** Calculate mean of 25-29 and 30-34 group from the East model.
*select if(wage  = 3  or  wage  = 4).
*compute Wlthind5 = 4.

*aggregate outfile = 'tmp.sav'
*  /break Wlthind5
*  /imr = mean(imrea)
*  /u5mr = mean(u5mrea).

*get file 'tmpresult.sav'.
*add files
*  /file = *
*  /file = 'tmp.sav'.
*save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
**Wealth index quintiles.
*Define subgroup ()
*  '(Richest)'
*!enddefine.

*get file='WM.sav'.

*select if (WM7 = 1).

*compute filter_$ =  (Wlthind5 = 5).
*FILTER BY filter_$.
*weight by wmweight.

** Set sex  1 = male, 2 = female, 3 = total.
*compute qfivesex = 3.

** Execute the bulk of the qfive process.
*include file = 'qfive setup.sps'.

** Calculate mean of 25-29 and 30-34 group from the East model.
*select if(wage  = 3  or  wage  = 4).
*compute Wlthind5 = 5.

*aggregate outfile = 'tmp.sav'
*  /break Wlthind5
*  /imr = mean(imrea)
*  /u5mr = mean(u5mrea).

*get file 'tmpresult.sav'.
*add files
*  /file = *
*  /file = 'tmp.sav'.
*save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
********* For Tajikistan: Collapsing wealth quintiles to two categories: Poorest 60% and richest 40%*************.
*----------------------------------------------------------------.
*Wealth index TWO categories.
Define subgroup ()
  '(Poorest 60 percent)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ = (Wlthind5 >=1 and Wlthind5 <= 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute Wlthind5 = 1.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Define subgroup ()
  '(Richest 40 percent)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 >= 4 and Wlthind5 <= 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute Wlthind5 = 5.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Total.
Define subgroup ()
  '(Total)'
!enddefine.

get file='WM.sav'.

select if (WM7 = 1).

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 20-24 and 25-29group from the East model.
select if (wage  = 2 or wage  = 3).
compute total = 1.

aggregate outfile = 'tmp.sav'
  /break total
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.


*----------------------------------------------------------------.

variable label imr 'Infant Mortality Rate*'.
variable label u5mr 'Under-five Mortality Rate**'.
variable label sex 'Sex'.
variable label hh7 'Region'.
variable label hh6 'Area'.
variable label Wlthind5 'Wealth index categories'.
variable label melevel "Mother's education".
variable label egroup 'Ethnicity/Language'.
variable label total 'Total'.


value label sex 1 'Male' 2 'Female'.
value label hh7
 1 'Dushanbe'
 2 'Khatlon'
 3 'Sogd'
 4 'RRS'
 5 'GBAO'.
value label hh6 1 'Urban' 2 'Rural'.
*value label wlthind5 1 'Poorest' 2 'Second' 3 "Middle" 4 "Fourth" 5 "Richest".
value label wlthind5 1 'Poorest 60%' 5 'Richest 40%'.
value label melevel 
  2 "None/Primary"
  3 "Uncomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education".

value label total 1 'Total'.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.
variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".

* Comment - table below commented out and replaced by custom table
table
  /observation = imrm u5mrm
  /table= sex +hh7+ hh6 + melevel + wlthind5 + total by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Early child mortality" 
   "Infant and under-five mortality rates by background and demographic characteristics  [BASED ON EAST], Tajikistan, 2005"
  /caption
       "* MICS indicator 2; MDG indicator 14" 
       "** MICS indicator 1; MDG indicator13".

CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE sex[C]+hh7[C]+hh6[C]+melevel[C]+wlthind5[C]+total[C] BY 
         imrm[S][MEAN,'',F7.0]+u5mrm[S][MEAN,'',F7.0]
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE="Table CM.1: Child mortality"
   "Infant and under-five mortality rates by background and demographic characteristics [BASED ON EAST], Tajikistan, 2005"
            CAPTION="* MICS indicator 2; MDG indicator 14"
                            "** MICS indicator 1; MDG indicator 13".

new file.
erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.

