get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute iod_hear=0.
if (si1a=1) iod_hear=100.

compute reason=0.
if (si1b_z="Z") reason=5.  
if (si1b_x="X") reason=4.
if (si1b_c="C") reason=3.
if (si1b_b="B") reason=2.
if (si1b_a="A") reason=1.
variable labels reason "Main reasons respondents think consumption of iodised salt is necessary".
value labels reason
			1"Prevents from goiter"
			2"Prevents development disorders of the fetus"
			3"Prevents from brain damage/intellect decrement"
			4"Other"
			5"Don't know".
recode SI1 (7=0) (1=1) (2 = 2) (3 = 3) (else = sysmis) into iodized.
variable label iodized "Results of household salt testing".
value label iodized
  0 "Salt not tested"
  1 "     0 PPM"
  2 "< 15 PPM"
  3 " 15+ PPM*".

compute total = 1.
variable label total "Number of interviewed households".
value label total 1 "".


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= iod_hear
  /GBASE=CASES
  /FTOTAL= tot "Total"
  /TABLE=hh7 + hh6 + iodized + helevel + wlthind5 + HC1B + tot  BY iod_hear + reason + tot + si1c + tot + total
  /STATISTICS
  mean( iod_hear( F7.1 ) 'Percent of respondents who did hear about iodised salt')
  cpct( reason( F5.1 ) '':hh7 hh6 iodized helevel wlthind5 HC1B)
  cpct( si1c( F5.1 ) '':hh7 hh6 iodized helevel wlthind5 HC1B)
  count(total (f5.0) '')  
  /title
    "Table NU.5A: Knowledge and consumption patterns of iodised salt"
		"Tajikistan, 2005"
  /caption
    "Country specific indicator".

new file.





