get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

recode SI1 (7=0) (1=1) (2 = 2) (3 = 3) (else = sysmis) into iodized.
variable label iodized "Results of household salt testing".
value label iodized
  0 "Salt not tested"
  1 "     0 PPM"
  2 "< 15 PPM"
  3 " 15+ PPM*".
variable label SI1D "Type of the package the salt was bought the last time".
value label SI1D
1 "Package"
2 "Industrial bag"
3 "Pre-packed sacs by seller"
4 "By kilograms"
6 "Other"
9 "Missing".

variable label SI1E "The quantity of salt bought the last time".

compute total = 1.
variable label total "Number of interviewed households".
value label total 1 "".
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= tot "Total" 
  /TABLE=hh7 + hh6 + iodized + helevel + wlthind5 + HC1B + tot  BY si1d + tot + si1e + tot + total
  /STATISTICS
  cpct( si1d( F5.1 ) '':hh7 hh6 iodized helevel wlthind5 HC1B)
  cpct( si1e( F5.1 ) '':hh7 hh6 iodized helevel wlthind5 HC1B) 
  count( total( F5.0 ) '')  
  /title
    "Table NU.5B: Aquisition and consumption patterns of iodised salt"
                        "Percentage of households bying salt by specific type of package and quantity, Tajikistan, 2005"
  /caption
    "Country specific indicator".
new file.




