GET FILE='hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute ttt=1.
variable labels ttt"Number of Households".

compute electr=0.
if hc9a=1 electr=100.
variable labels electr"Electricity".

compute radio=0.
if hc9b=1 radio=100.
variable labels radio"Radio".

compute telev=0.
if hc9c=1 telev=100.
variable labels telev"Television".

compute mobile=0.
if hc9d=1 mobile=100.
variable labels mobile"Mobile telephone".

compute nonmob=0.
if hc9e=1 nonmob=100.
variable labels nonmob"Fixed telephone".

compute refr=0.
if hc9f=1 refr=100.
variable labels refr"Refrigerator".

compute elect=0.
if hc9g=1 elect=100.
variable labels elect"Electric water heater".

compute table=0.
if hc9h=1 table=100.
variable labels table"Table".

compute chair=0.
if hc9i=1 chair=100.
variable labels chair"Chair".

compute miror=0.
if hc9j=1 miror=100.
variable labels miror"Miror".

compute wash=0.
if hc9k=1 wash=100.
variable labels wash"Washing machine".

compute vacuum=0.
if hc9l=1 vacuum=100.
variable labels vacuum"Vacuum cleaner".

compute vcr=0.
if hc9m=1 vcr=100.
variable labels vcr"VCR".

compute cupb=0.
if hc9n=1 cupb=100.
variable labels cupb"Cupboard".

compute furn=0.
if hc9o=1 furn=100.
variable labels furn"Furniture".

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= electr radio telev mobile nonmob refr elect table chair miror wash vacuum vcr cupb furn ttt 
  /GBASECASES
  /FTOTAL= tot "Total"
  /TABLE=hh7 + hh6 + helevel + wlthind5 + HC1B + tot  BY electr+radio+telev+mobile+nonmob+refr+elect+table+chair+miror+wash+vacuum+vcr+cupb+furn+ttt
  /STATISTICS
  mean( electr( F7.1 ) '')
  mean( radio( F7.1 ) '')
  mean( telev( F7.1 ) '')
  mean( mobile( F7.1 ) '')
  mean( nonmob( F7.1 ) '')
  mean( refr( F7.1 ) '')
  mean( elect( F7.1 ) '')
  mean( table( F7.1 ) '')
  mean( chair( F7.1 ) '')
  mean( miror( F7.1 ) '')
  mean( wash( F7.1 ) '')
  mean( vacuum( F7.1 ) '')
  mean( vcr( F7.1 ) '')
  mean( cupb( F7.1 ) '')
  mean( furn( F7.1 ) '')
  count( ttt( F7.0 ) '')
/title
    "Table EN10A: Household durable goods"
                      "Percentage of households possessing various durable consumer goods, Tajikistan, 2005"
/caption
"Country specific indicators".

new file.




