GET FILE='hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute ttt=1.
variable labels ttt"Number of Households".

compute watch=0.
if hc10a=1 watch=100.
variable labels watch"Watch".

compute bicycl=0.
if hc10b=1 bicycl=100.
variable labels bicycl"Bicycle".

compute motor=0.
if hc10c=1 motor=100.
variable labels motor"Motorcycle/scooter".

compute animal=0.
if hc10d=1 animal=100.
variable labels animal"Animal drawn cart".

compute car=0.
if hc10e=1 car=100.
variable labels car"Car/truck".

compute computer=0.
if hc10f=1 computer=100.
variable labels computer"Computer".

compute track=0.
if hc10g=1 track=100.
variable labels track"Tractor/combine".

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= watch bicycl motor animal car computer track ttt
  /GBASE=CASES
  /FTOTAL= tot "Total"
  /TABLE=hh7 + hh6 + helevel + wlthind5 + HC1B + tot  BY watch+bicycl+motor+animal+car+computer+track+ttt
  /STATISTICS
  mean( watch( F7.1 ) '')
  mean( bicycl( F7.1 ) '')
  mean( motor( F7.1 ) '')
  mean( animal( F7.1 ) '')
  mean( car( F7.1 ) '')
  mean( computer( F7.1 ) '')
  mean( track( F7.1 ) '')
  count( ttt( F7.0 ) '')
/title
    "Table EN10B: Household durable goods"
                      "Percentage of households possessing various durable consumer goods, Tajikistan, 2005"
/caption
"Country specific indicators".

new file.



