GET FILE='hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute ttt=1.
variable labels ttt"Number of Households".

compute land=0.
if HC11=1 land=100.
variable labels land "Percentage of HH owning LAND".

*** if hc12a=9 land_size=0   It could be added if we want to include DK .
if hc12a=1 land_size=hc12.
if hc12a=2 land_size=hc12/100.
variable labels land_size "Hectares per HH".

compute catle=0.
if hc14a>0 catle=100.
variable labels catle "Percentage of HH owning CATTLE".

compute cows=0.
if hc14b>0 cows=100.
variable labels cows "Percentage of HH owning COWS or BULLS".

compute hors=0.
if hc14c>0 hors=100.
variable labels hors "Percentage of HH owning HORSES or DONKEYS, MULES".

compute goat=0.
if hc14d>0 goat=100.
variable labels goat "Percentage of HH owning GOATS".

compute sheep=0.
if hc14e>0 sheep=100.
variable labels sheep "Percentage of HH owning SHEEP".

compute chicken=0.
if hc14f>0 chicken=100.
variable labels chicken "Percentage of HH owning CHICKENS".

compute hare=0.
if hc14g>0 hare=100.
variable labels hare "Percentage of HH owning HARES".

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= land land_size catle cows hors goat sheep chicken hare ttt
  /GBASE=CASES
  /FTOTAL= tot "Total"
  /TABLE=hh7 + hh6 + helevel + wlthind5 + HC1B + tot  BY land + land_size+catle+cows+hors+goat+sheep+chicken+hare+ttt
  /STATISTICS
  mean( land( F7.1 ) '')
  median( land_size( F7.2 ) 'Median')
  mean( land_size( F7.2 ) 'Mean')
  mean( catle( F7.1 ) '')
  mean( cows( F7.1 ) '')
  mean( hors( F7.1 ) '')
  mean( goat( F7.1 ) '')
  mean( sheep( F7.1 ) '')
  mean( chicken( F7.1 ) '')
  mean( hare( F7.1 ) '')
  count( ttt( F7.0 ) '')
/title
    "Table EN10C.3: Household agricultural assets"
                      "Percentage of households possessing land, livestock, herds of farm animals, Tajikistan, 2005"
/caption
"Country specific indicators".
new file.