GET file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y" or CM12 = "O" or CM12 = "S").

compute total = 1.
variable label total "Number of women who gave birth in two years preceding survey".
value label total 1 "".

compute anc = 0.
if (MN2A = "A") anc = 1.
if (anc = 0 and MN2B = "B") anc = 2.
if (anc = 0 and MN2C = "C") anc = 3.
if (anc = 0 and MN2F = "F") anc = 4.
if (anc = 0 and MN2G = "G") anc = 5.
if (anc = 0 and MN2H = "H") anc =  6.
if (anc = 0 and (MN2X = "X" or MN2A = "?"))  anc =  7.
if (anc = 0 and (MN2Y = "Y")) anc = 8.
variable label anc "Person delivering antenatal care".
value label anc
  1 "Medical doctor"
  2 "Nurse/midwife"
  3 "Auxiliary midwife"
  4 "Traditional birth attendant"
  5 "Community health worker"
  6 "Relative/Friend"
  7 "Other/missing"
  8 "No antenatal care received".

compute ancmore = 0.
if (anc <> 8) ancmore = 100.
variable label ancmore "Percent of pregnant women receiving ANC one or more "+
  "times during pregnancy*".

compute layer = 1.
variable label layer "".
value label layer 1 "Percent of pregnant women who had:".

recode MN3A (1 = 100) (else = 0) into weighed.
variable label weighed "Weight measured".

recode MN3B (1 = 100) (else = 0) into pressure.
variable label pressure "Blood pressure measured".

recode MN3C (1 = 100) (else = 0) into urine.
variable label Urine "Urine specimen taken".

recode MN3D (1 = 100) (else = 0) into blood.
variable label blood "Blood sample taken".

recode MN3E (1 = 100) (else = 0) into bloodgr.
variable label bloodgr "Blood group determined".

recode MN3F (1 = 100) (else = 0) into gynex.
variable label gynex "Gynecological exam passed".

recode MN3G (1 = 100) (else = 0) into pregn.
variable label pregn "Pregnancy term assessed".

recode MN3H (1 = 100) (else = 0) into usex.
variable label usex "Ultrasound exam passed".

recode MN4A (1,2 = 100) (else = 0) into ironpil.
variable label ironpil " Iron tablets received / bought".

compute dironpil = mn4b.
variable label dironpil "Median number of days iron pills were taken during the pregnancy".

* For Tajikistan: Collapsing "Russian" and "Kyrgiz",  nationality to "Other".
recode HC1B (3,4 = 6).

tables
  /format = zero
  /observation = ancmore blood pressure urine weighed bloodgr gynex pregn usex ironpil dironpil
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1B + tot1 by
	  ancmore + layer > (blood + pressure + urine + weighed + bloodgr + gynex + pregn + usex + ironpil) + dironpil + total
  /statistics
    mean(ancmore (f5.1) '')
    mean(blood (f5.1) '')
    mean(pressure (f5.1) '')
    mean(urine (f5.1) '')
    mean(weighed (f5.1) '')
    mean(bloodgr (f5.1) '')  
    mean(gynex (f5.1) '')  
    mean(pregn (f5.1) '')  
    mean(usex (f5.1) '')  
    mean(ironpil (f5.1) '')  
    median(dironpil (f5.0) '')  
    count(total (f5.0) '')
  /title
    "Table RH.4: Antenatal care content" 
    "Percentage of pregnant women receiving antenal care among women aged "+
		"15-49 years who gave birth in two years preceding the survey and "+
		"percentage of pregnant women receiving specific care as part of the "+
		"antenatal care received,  Tajikistan, 2005"
  /caption
    "* MICS indicator 44".

new file.
