get file = 'WM.sav'.

select if (MA1 <3).

weight by wmweight.

compute total=1.
value label total 1 "Number of women currently married or in union".

compute liv = CM9 -(CM8A+CM8B).
recode liv (0=0) (1=1) (2=2) (3=3) (4 thru 20 = 4).
variables labels liv "Number of living children".
value labels liv 4 "4+".
format liv (f5.0).

compute method = 0.
if cp0y="Y" method = 100.
variable label method "Do not know any method".

compute fem_st = 0.
if cp0a="A" fem_st = 100.
variable label fem_st "Female sterilization".

compute male_st = 0.
if cp0b="B" male_st = 100.
variable label male_st "Male sterilization".

compute pill = 0.
if cp0c="C" pill = 100.
variable label pill "Pill".

compute IUD = 0.
if cp0d="D" IUD = 100.
variable label IUD "IUD".

compute inj = 0.
if cp0e="E" inj = 100.
variable label inj "Injection".

compute implant = 0.
if cp0f="F" implant = 100.
variable label implant "Implants".

compute cond = 0.
if cp0g="G" cond = 100.
variable label cond "Condom".

compute fem_cond = 0.
if cp0h="H" fem_cond = 100.
variable label fem_cond "Female condom".

compute diaph = 0.
if cp0i="I" or cp0j="J" diaph = 100.
variable label diaph "Diaphragm/foam/jelly".

compute lam = 0.
if cp0k="K" lam = 100.
variable label lam "LAM".

compute p_abs = 0.
if cp0l="L" p_abs = 100.
variable label p_abs "Periodic abstinence".

compute withdr= 0.
if cp0m="M" withdr = 100.
variable label withdr "Withdrawal".

compute oth_m= 0.
if cp0x="X" oth_m = 100.
variable label oth_m "Other".

compute anymeth = 0.
if (fem_st=100 or male_st=100 or pill=100 or IUD=100 or inj=100 or implant=100 or cond=100 or fem_cond=100 or diaph=100) anymeth = 100.
variable label anymeth "Any modern method".

compute trad_m = 0.
if (lam=100 or p_abs=100 or withdr=100 or oth_m=100) trad_m = 100.
variable label trad_m "Any traditional method".

compute any_m = 0.
if (anymeth = 100 or trad_m = 100) any_m = 100.
variable label any_m "Any method".

tables
  /format = zero
  /observation =  method fem_st male_st pill IUD inj implant cond fem_cond diaph lam p_abs withdr oth_m anymeth trad_m any_m
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage+liv+ melevel +wlthind5+hc1b+ tot1 by method +fem_st+ male_st+ pill+ IUD+inj+implant+cond+fem_cond+
diaph+lam+p_abs+withdr+oth_m+anymeth+trad_m+any_m+total
  /statistics
    mean(method (f5.1) '')
    mean(fem_st (f5.1) '')
    mean(male_st (f5.1) '')
    mean(pill (f5.1) '')
    mean(IUD (f5.1) '')
    mean(inj (f5.1) '')
    mean(implant (f5.1) '')
    mean(cond (f5.1) '')
    mean(fem_cond (f5.1) '')
    mean(diaph (f5.1) '')
    mean(lam (f5.1) '')
    mean(p_abs (f5.1) '')
    mean(withdr (f5.1) '')
    mean(oth_m (f5.1) '')
    mean(anymeth (f5.1) '')
    mean(trad_m (f5.1) '')
    mean(any_m (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table RH1A: Knowledge of contraceptive methods"
                       "Percentage of women aged 15-49, married or in union,  who know any contraceptive method, by specific method, Tajikistan, 2005"
  /caption
    "Country specific indicator".
new file.
