get file = 'wm.sav'.

select if (WM7 = 1 and CM1=1).

weight by wmweight.

compute tot=1.
value labels tot 1"Total".
aggregate outfile = 'temp1.sav'
  /break = HH6
  /cm9   = sum(cm9)
  /cm11a = sum(cm11a)
  /cm11b = sum(cm11b)
  /cm11c = sum(cm11c).

aggregate outfile = 'temp2.sav'
  /break = HH7
  /cm9   = sum(cm9)
  /cm11a = sum(cm11a)
  /cm11b = sum(cm11b)
  /cm11c = sum(cm11c).

aggregate outfile = 'temp3.sav'
  /break = melevel
  /cm9   = sum(cm9)
  /cm11a = sum(cm11a)
  /cm11b = sum(cm11b)
  /cm11c = sum(cm11c).

aggregate outfile = 'temp4.sav'
  /break = wage
  /cm9   = sum(cm9)
  /cm11a = sum(cm11a)
  /cm11b = sum(cm11b)
  /cm11c = sum(cm11c).

aggregate outfile = 'temp5.sav'
  /break = wlthind5
  /cm9   = sum(cm9)
  /cm11a = sum(cm11a)
  /cm11b = sum(cm11b)
  /cm11c = sum(cm11c).

aggregate outfile = 'temp6.sav'
  /break = tot
  /cm9   = sum(cm9)
  /cm11a = sum(cm11a)
  /cm11b = sum(cm11b)
  /cm11c = sum(cm11c).

get file = 'temp1.sav'.

add files
  /file = *
  /file = 'temp2.sav'
  /file = 'temp3.sav'
  /file = 'temp4.sav'
  /file = 'temp5.sav'
  /file = 'temp6.sav'.

compute pregn=cm9+cm11a+cm11b+cm11c.
compute cm9_n=(cm9/pregn)*100.
compute cm11a_n=(cm11a/pregn)*100.
compute cm11b_n=(cm11b/pregn)*100.
compute cm11c_n=(cm11c/pregn)*100.
compute ttt= cm9_n+cm11a_n+cm11b_n+cm11c_n.

variable labels
  cm9_n    "Live birth"
  /cm11a_n "Induced abortion"
  /cm11b_n "Miscarriage"
  /cm11c_n "Still birth"
  /ttt     "Total"
  /pregn "Number of pregnancies".

tables
  /format = zero
  /observation = cm9_n cm11a_n cm11b_n cm11c_n ttt pregn
  /table = HH6 +HH7+melevel+wage+wlthind5+tot BY cm9_n+ cm11a_n+ cm11b_n+ cm11c_n+ttt+pregn 
  /statistics
    maximum(cm9_n  '' (f7.1))
    maximum(cm11a_n  '' (f7.1))
    maximum(cm11b_n  '' (f7.1))
    maximum(cm11c_n  '' (f7.1))
    maximum(ttt  '' (f7.1))
    maximum(pregn'' (f7.0))
  /title
    "Table RH5.A: Pregnancy outcome by background characteristics"
                       "Percent distribution of pregnancies by pregnancy outcome preceeding the survey by background characteristics, Tajikistan, 2005"
  /caption
    "Country specific indicator".
new file.
erase file = 'temp1.sav'.
erase file = 'temp2.sav'.
erase file = 'temp3.sav'.
erase file = 'temp4.sav'.
erase file = 'temp5.sav'.
erase file = 'temp6.sav'.

