*This file is specific for Tajikistan and is based on the additional variable BR3a  recoded from BR3 and description of reasons why birth is not registered.
*Recoding was performed in the CSPRO data set.

get file = 'ch.sav'.

weight by chweight.

select if (UF9 = 1) .
compute total = 1.
value label total 1 "Number of children aged 0-59 months".

compute regist = 0.
if (BR1 = 1 or BR2 = 1) regist = 100.
compute registdk = 0. 
if (BR2 = 8 or BR2 = 9) registdk = 100.

recode BR3a (1 thru 99 = copy) (else=sysmis) into register.

if (register >= 1 and register <= 99) total1 = 1.
variable label total1 "Number of children aged 0-59 months without birth registration".
value label total1 1 "".

variable label register "Birth is not registered because:".
value label register
  1 "Costs too much"
  2 "Must travel too far"
  3 "Didn't know child should be registered"
  4 "Late, didn't want to pay fine"
  5 "Doesn't know where to register"
  6 "Lack of time"
  7 "Missing other documents"
  96 "Other"
  98 "Don't know"
  99 "Missing".
variable label regist "Birth is registered *".
variable label registdk "Don't know if birth is registered".

* For Tajikistan: Collapsing mother's education levels "None" and "Primary",  to "None/Primary".
* and levels "Complete Secondary" & "Higher education" to "Secondary special & higher education".
recode melevel (1,2 = 0) (5,6=7).
value label melevel
 0 "None/Primary"
 1 "None"
 2 "Primary"
 3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  7 "Secondary special & higher education"
  9 "Non-standard/Missing/DK".

* For Tajikistan: Collapsing "Russian", "Kirgiz"  nationality to "Other".
recode HC1B (3,4 = 6).


tables
  /format = zero
  /ftotal = tot1 "Total" tot2 "Total"
  /observations regist registdk
  /tables = HL4 + HH7 + HH6 + cage_11 + melevel +wlthind5+HC1B+ tot1 by regist +registdk+ total+ register + tot2 + total1
  /statistics
    mean(regist (f5.1) '')
    mean(registdk (f5.1) '')
    count(total (f5.0) '')
    cpct(register (f5.1) '' :  HL4 HH7 HH6 cage_11 melevel Wlthind5 HC1B)
    count(total1 (f5.0) '')
  /title
    "Table CP.1: Birth registration"
		"Percent distribution of children aged 0-59 months by whether birth is "+
		"registered and reasons for non-registration,  Tajikistan, 2005"
  /caption
    "* MICS Indicator 62".

new file.
