get file = 'wm.sav'.

select if (Ma1<3).

weight by wmweight.
compute sayoh= 0.
compute saylp= 0.
compute saydp= 0.
compute sayfv= 0.
compute sayall = 0.
compute saynon = 0.

if (dv2a = 1 or dv2a = 3) sayoh= 100.
if (dv2b = 1 or dv2b = 3) saylp= 100.
if (dv2c = 1 or dv2c = 3) saydp= 100.
if (dv2d = 1 or dv2d = 3) sayfv= 100.
if (sayoh = 100 and saylp = 100 and saydp = 100 and sayfv = 100) sayall = 100.
if ((sayoh = 0) and (saylp = 0) and (saydp = 0) and (sayfv = 0)) saynon = 100.

variable label sayoh "Own health care".
variable label saylp "Making large purchases".
variable label saydp "Making daily purchases".
variable label sayfv "Visits to family or relatives".
variable label sayall "All specified decisions".
variable label saynon "None of the specified decisions".

compute total = 1.
variable label total "Number of women aged 15-49 currently married or in union".

TABLES
  /format = zero
  /observations = sayoh saylp saydp sayfv sayall saynon total
  /ftotal = tot1 "Total"
  /TABLE= hh7+hh6+wage+melevel+wlthind5+hc1b+tot1 BY sayoh+saylp+saydp+sayfv+sayall+saynon +total
  /STATISTICS
  /statistics
    mean(sayoh (f5.1) '')
    mean(saylp (f5.1) '')
    mean(saydp (f5.1) '')
    mean(sayfv (f5.1) '')
    mean(sayall (f5.1) '')
    mean(saynon (f5.1) '')
    validn(total (f5.0) '') 
  /title
  "Table CP9A-1. Women's participation in decisionmaking by background characteristics"
                    "Percent distribution of currently married women aged 15-49 who say that they alone or jointly "+
                    "have the final say in specific decisions, by background characteristics, Tajikistan, 2005"
  /caption
  "Country specific indicators".

variable label dv2a "Has the final say in own health care".
value label dv2a
1 "Self only"
2 "Husband only"
3 "Jointly with husband"
4 "Someone else only"
6 "Other".

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= tot1 "Total"
  /TABLE= hh7+hh6+wage+melevel+wlthind5+hc1b+tot1 BY dv2a+tot1 +total
  /STATISTICS
    cpct( dv2a( F5.1 ) '':hh7 hh6 wage melevel wlthind5 hc1b )
    count( total( F5.0 ) '')
  /title
  "Table CP9A-2. Women's participation in decisionmaking by background characteristics"
                    "Percent distribution of currently married women aged 15-49 by person who has the final say "+
                    "in own health care, by background characteristics"
                    "Tajikistan, 2005"
  /caption
  "Country specific indicators". 

variable label dv2b "Has the final say in making large purchases".
value label dv2b
1 "Self only"
2 "Husband only"
3 "Jointly with husband"
4 "Someone else only"
6 "Other".

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= tot1 "Total"
  /TABLE= hh7+hh6+wage+melevel+wlthind5+hc1b+tot1 BY dv2b+tot1 +total
  /STATISTICS
    cpct( dv2b( F5.1 ) '':hh7 hh6 wage melevel wlthind5 hc1b )
    count( total( F5.0 ) '')
  /title
  "Table CP9A-3. Women's participation in decisionmaking by background characteristics"
                    "Percent distribution of currently married women aged 15-49 by person who has the final say "+
                    "in making large purchases, by background characteristics, Tajikistan, 2005"
  /caption
  "Country specific indicators". 

variable label dv2c "Has the final say in making daily purchases".
value label dv2c
1 "Self only"
2 "Husband only"
3 "Jointly with husband"
4 "Someone else only"
6 "Other".

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= tot1 "Total"
  /TABLE= hh7+hh6+wage+melevel+wlthind5+hc1b+tot1 BY dv2c+tot1 +total
  /STATISTICS
    cpct( dv2c( F5.1 ) '':hh7 hh6 wage melevel wlthind5 hc1b )
    count( total( F5.0 ) '')
  /title
  "Table CP9A-4. Women's participation in decisionmaking by background characteristics"
                    "Percent distribution of currently married women aged 15-49 by person who has the final say "+
                    "in making daily purchases, by background characteristics, Tajikistan, 2005"
  /caption
  "Country specific indicators". 

variable label dv2d "Has the final say in  visits to family or relatives".
value label dv2d
1 "Self only"
2 "Husband only"
3 "Jointly with husband"
4 "Someone else only"
6 "Other".

TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= tot1 "Total"
  /TABLE= hh7+hh6+wage+melevel+wlthind5+hc1b+tot1 BY dv2d+tot1 +total
  /STATISTICS
    cpct( dv2d( F5.1 ) '':hh7 hh6 wage melevel wlthind5 hc1b )
    count( total( F5.0 ) '')
  /title
  "Table CP9A-5. Women's participation in decisionmaking by background characteristics"
                    "Percent distribution of currently married women aged 15-49 by person who has the final say "+
                    "in  visits to family or relatives, by background characteristics, Tajikistan, 2005"
  /caption
  "Country specific indicators". 

new file.

