get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

compute total = 1.
variable label total "Number of women".
value label total 1 "".

compute heardtb = 0.
if (TB1 = 1) heardtb = 100.
variable label heardtb "Heard of TB".

compute tbspread = 0.
IF (TB8Z = "Z") tbspread = 3.
IF ((TB8B = "B") or (TB8C = "C") or (TB8D = "D") or (TB8E = "E") or (TB8F = "F") or (TB8G = "G") or (TB8X = "X")) tbspread = 2.
IF (TB8A = "A") tbspread = 1.
variable label tbspread "Knowledge of ways TB spreads".
value label tbspread 
  0 "Never heard of TB"
  1 "Through the air when coughing"
  2 "Reported other ways that TB spreads"
  3 "Does not know how  TB spreads".

* For Tajikistan: Collapsing mother's education levels "None" and "Primary",  to "None/Primary".
recode melevel (1,2 = 0).
value label melevel
  0 "None/Primary"
  1 "None"
  2 "Primary"
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "Non-standard/Missing/DK".

tables
  /format = zero
  /observation = heardtb total
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1B + tot1 by 
	heardtb + tbspread + tot1 + total
  /statistics
    mean(heardtb (f5.1) '')
    cpct(tbspread (f5.1) '':HH7 HH6 wage melevel wlthind5 HC1B)
    count(total (f5.0) '')    
  /title
    "Table TB.1: Knowledge of Tuberculosis and mode of transmission"
		"Percentage of women aged 15-49 years who had heard of tuberculosis (TB) and the percent distribution "+
		"by knowledge of the way tuberculosis is spread, according to background characteristics, "+
                        "Tajikistan, 2005"
  /caption
    "Country specific indicators".

new file.
