get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

compute total = $SYSMIS .
if (TB5A = "A") total = 1.
if (TB5B = "B") total = 1.
if (TB5C = "C") total = 1.
if (TB5D = "D") total = 1.
if (TB5E = "E") total = 1.
if (TB5F = "F") total = 1.
if (TB5G = "G") total = 1.
if (TB5H = "H") total = 1.
if (TB5I = "I") total = 1.
if (TB5J = "J") total = 1.
if (TB5K = "K") total = 1.
if (TB5X = "X") total = 1.
variable label total "Number".
value label total 1 "".

select if (total = 1).

compute cough = 0.
if (TB6A = "A") cough = 100.
variable label cough "Coughing".
compute coughsp = 0.
if (TB6B = "B") coughsp = 100.
variable label coughsp "Coughing with sputum".
compute cough3w = 0.
if (TB6C = "C") cough3w = 100.
variable label cough3w "Coughing more than 3 weeks".
compute fever = 0.
if (TB6D = "D") fever = 100.
variable label fever "Fever".
compute blood = 0.
if (TB6E = "E") blood = 100.
variable label blood "Blood in sputum".
compute app = 0.
if (TB6F = "F") app = 100.
variable label app "Loss of appetite".
compute sweat = 0.
if (TB6G = "G") sweat = 100.
variable label sweat "Night sweating".
compute pain = 0.
if (TB6H = "H") pain = 100.
variable label pain "Pain in chest".
compute tired = 0.
if (TB6I = "I") tired = 100.
variable label tired  "Tiredness/fatigue".
compute weig = 0.
if (TB6J = "J") weig = 100.
variable label weig "Weight loss".
compute letar = 0.
if (TB6K = "K") letar = 100.
variable label letar "Lethargy".
compute oth = 0.
if (TB6X = "X") oth = 100.
variable label oth  "Other".
compute nosym = 0.
if (TB6Y = "Y") nosym = 100.
variable label nosym "No any sign/symptom was mentioned".

* For Tajikistan: Collapsing "Kyrgiz",  nationality to "Other".
recode HC1B (4 = 6).

* For Tajikistan: Collapsing mother's education levels "None" and "Primary",  to "None/Primary".
recode melevel (1,2 = 0).
value label melevel
  0 "None/Primary"
  1 "None"
  2 "Primary"
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "Non-standard/Missing/DK".

tables
  /format = zero
  /observation = cough coughsp cough3w fever blood app sweat  pain tired weig letar oth nosym total
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1B + tot1 by 
	cough + coughsp + cough3w + fever + blood + app + sweat + pain + tired + weig + letar + oth + nosym + total
  /statistics
    mean(cough (f5.1) '')
    mean(coughsp (f5.1) '')
    mean(cough3w (f5.1) '')
    mean(fever (f5.1) '')
    mean(blood (f5.1) '')
    mean(app (f5.1) '')
    mean(sweat (f5.1) '')
    mean(pain (f5.1) '')
    mean(tired (f5.1) '')
    mean(weig (f5.1) '')
    mean(letar (f5.1) '')
    mean(oth (f5.1) '')
    mean(nosym (f5.1) '')
    count(total (f5.0) '')    
  /title
    "Table TB.3: Simptoms of tuberculosis that would convince respondents to seek medical assistance"
		"Among women aged 15-49 years who know one or more simptoms of tuberculosis, the percentage who cited specific "+
		"symptoms  that would convince them to seek medical  care, by background characteristics, "+
                        "Tajikistan, 2005"
  /caption
    "Country specific indicators".

new file.

