get file = 'wm.sav'.

select if ((WM7 = 1) & (TB1 = 1)).

weight by wmweight.

compute total = 1.
variable label total "Number of women who heard of TB".
value label total 1 "".

compute tbcured = 0 .
IF (TB2 = 1) tbcured = 100 .
variable label tbcured "Know TB can be cured".

compute tbfamily = 0 .
IF (TB3 = 1) tbfamily = 100 .
variable label tbfamily "Had a family member having TB".

compute tbfriend = 0 .
IF (TB4 = 1) tbfriend = 100 .
variable label tbfriend "Had a neighbor, colleague or friend having TB".

compute tbcare = 0 .
IF (TB10 = 1) tbcare = 100 .
variable label tbcare "Would be willing to care in the household for a family member that completed the hospital treatment for TB".

compute tbsecret = 0 .
IF (TB10A = 1) tbsecret = 100 .
variable label tbsecret "Would want to remain a secret if a family member got TB".

compute layer = 0.
variable label layer "".
value label layer 0 "Among women who have heard of TB, percent of those who:".

* For Tajikistan: Collapsing "Kyrgiz",  nationality to "Other".
recode HC1B (4 = 6).

* For Tajikistan: Collapsing mother's education levels "None" and "Primary",  to "None/Primary".
recode melevel (1,2 = 0).
value label melevel
  0 "None/Primary"
  1 "None"
  2 "Primary"
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "Non-standard/Missing/DK".

tables
  /format = zero
  /observation = tbcured tbfamily tbfriend tbcare tbsecret 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1B + tot1 by 
	layer > ( tbcured + tbfamily + tbfriend + tbcare + tbsecret)+ total
  /statistics
    mean(tbcured (f5.1) '')
    mean(tbfamily (f5.1) '')
    mean(tbfriend (f5.1) '')
    mean(tbcare (f5.1) '')
    mean(tbsecret (f5.1) '')
    count(total (f5.0) '')    
  /title
    "Table TB.4: Knowledge that tuberculosis can be cured and the stigma attached to the disease"
		"Among women who have heard of tuberculosis (TB), the percentage reporting that tuberculosis can be completely cured "+
		"and who had a close person ill of tuberculosis, and percentage expressing stigma attached to the disease, "+
                        "Tajikistan, 2005"
  /caption
    "Country specific indicators".

new file.
