get file = 'wm.sav'.

select if ((WM7 = 1) & (TB1 = 1)).

weight by wmweight.

compute total = 1.
variable label total "Number of women".
value label total 1 "".

compute treat = 0.
IF (TB7 = 1) treat = 1.
IF (TB7 = 2) treat = 2.
IF (TB7 = 3) treat = 3.
IF (TB7 = 6) treat = 4.
IF (TB7 = 8) treat = 0.
variable label treat "How should a person be treated initially".
value label treat 
  0 "Don't know / Missing"
  1 "Hospitalized"
  2 "Treated at home "
  3 "Initially hospitalized followed by home treatment "
  4 "Other".

* For Tajikistan: Collapsing "Kyrgiz",  nationality to "Other".
recode HC1B (4 = 6).

* For Tajikistan: Collapsing mother's education levels "None" and "Primary",  to "None/Primary".
recode melevel (1,2 = 0).
value label melevel
  0 "None/Primary"
  1 "None"
  2 "Primary"
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "Non-standard/Missing/DK".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1B + tot1 by 
	treat + tot1 + total
  /statistics
    cpct(treat (f5.1) '':HH7 HH6 wage melevel wlthind5 HC1B)
    count(total (f5.0) '')    
  /title
    "Table TB.5: Perception of the initial treatment of tuberculosis"
		"Distribution of women aged 15-49 years who had heard of tuberculosis (TB) by perception how should be "+
		"treated initially a person when first discovers he/she has tuberculosis, according to background characteristics, "+
                        "Tajikistan, 2005"
  /caption
    "Country specific indicators".

new file.

