get file = 'wm.sav'.

select if ((WM7 = 1) & (TB1 = 1)).

weight by wmweight.

compute total = 1.
variable label total "Number of women who have heard of tuberculosis".
value label total 1 "".

compute hosp = 0.
if (TB9A = "A") hosp = 100.
variable label hosp "Hospital".
compute pol = 0.
if (TB9B = "B") pol = 100.
variable label pol "Polyclinic".
compute fgp = 0.
if (TB9C = "C") fgp = 100.
variable label fgp "FGP".
compute tbd = 0.
if (TB9D = "D") tbd = 100.
variable label tbd "TB Dispensary".
compute oth = 0.
if (TB9E = "E") oth = 100.
variable label oth "Other public / private / traditional".

*variables collapsed to "Other" due to a very small no. of observations.
*compute prhosp = 0.
if (TB9F = "F") oth = 100.
*variable label prhosp "Private hospital".
*compute prdoc = 0.
if (TB9G = "G") oth = 100.
*variable label prdoc "Private doctor".
*compute othpr = 0.
if (TB9H = "H") oth = 100.
*variable label othpr "Other private".
*compute trad = 0.
if (TB9I = "I") oth = 100.
*variable label trad  "Traditional practitioner".
*compute mul = 0.
if (TB9J = "J") oth = 100.
*variable label mul "Mullah / priest".
*compute othtr = 0.
if (TB9X = "X") oth = 100.
*variable label othtr  "Other traditional".
compute dk = 0.
if (TB9Z = "Z") dk = 100.
variable label dk "Don't know / not sure".

* For Tajikistan: Collapsing "Kyrgiz",  nationality to "Other".
recode HC1B (4 = 6).

* For Tajikistan: Collapsing mother's education levels "None" and "Primary",  to "None/Primary".
recode melevel (1,2 = 0).
value label melevel
  0 "None/Primary"
  1 "None"
  2 "Primary"
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "Non-standard/Missing/DK".

tables
  /format = zero
  /observation = hosp pol fgp tbd oth dk total
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1B + tot1 by 
	hosp + pol + fgp + tbd + oth  + dk + total
  /statistics
    mean(hosp (f5.1) '')
    mean(pol (f5.1) '')
    mean(fgp (f5.1) '')
    mean(tbd (f5.1) '')
    mean(oth (f5.1) '')
    mean(dk (f5.1) '')
    count(total (f5.0) '')    
  /title
    "Table TB.6: The place of seeking help in case the respondent or her child has tuberculosis"
		"Percentage of women aged 15-49 years who have heard of tuberculosis by specific places, they would "+
		"go for help in case the respondent thinks she or her child has tuberculosis, by background characteristics, "+
                        "Tajikistan, 2005"
  /caption
    "Country specific indicators".

new file.
